import {optimizelyUserId} from '@s-ui/segment-wrapper/lib/middlewares/source/optimizelyUserId'
import segmentWrapper from '../src/segmentWrapper'
import {loadMiddlewares} from '../src/middlewares'

export const entryPoint = function({
  host,
  optimizelyUserIdMiddleware = optimizelyUserId
} = {}) {
  segmentWrapper({host})
  loadMiddlewares({optimizelyUserIdMiddleware})
}

if (process.env.NODE_ENV !== 'test') {
  entryPoint()
}
